import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useRef, useState } from 'react';
import { usePrefixConfig } from '../../hooks';
export function DNumber(props) {
    const { dValue, dDown } = props;
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    //#region Ref
    const containerRef = useRef(null);
    //#endregion
    const prevValue = useRef(dValue);
    const [nums, setNums] = useState([dValue]);
    useEffect(() => {
        if (containerRef.current && prevValue.current !== dValue) {
            let newNums = Array(10)
                .fill(0)
                .map((n, i) => i);
            if (dDown) {
                newNums = newNums.concat(Array(prevValue.current + 1)
                    .fill(0)
                    .map((n, i) => i));
                newNums = newNums.slice(newNums.length - 10, newNums.length);
                containerRef.current.style.cssText = 'transform:translateY(-900%);transition:none;';
            }
            else {
                newNums = Array(10 - prevValue.current)
                    .fill(0)
                    .map((n, i) => prevValue.current + i)
                    .concat(newNums);
                newNums = newNums.slice(0, 10);
                containerRef.current.style.cssText = 'transform:translateY(0);transition:none;';
            }
            prevValue.current = dValue;
            setNums(newNums);
        }
    }, [dDown, dValue]);
    useEffect(() => {
        if (containerRef.current) {
            containerRef.current.style.cssText = `transform:translateY(-${nums.findIndex((n) => n === dValue) * 100}%); `;
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [nums]);
    return (_jsx("div", Object.assign({ ref: containerRef, className: `${dPrefix}badge__number-container` }, { children: nums.map((n, i) => (_jsx("span", Object.assign({ className: `${dPrefix}badge__number` }, { children: n }), i))) })));
}
//# sourceMappingURL=Number.js.map