/// <reference types="react" />
import type { DFormControl } from '../form';
import { DCheckboxGroup } from './CheckboxGroup';
export interface DCheckboxProps extends React.HTMLAttributes<HTMLElement> {
    dFormControl?: DFormControl;
    dModel?: boolean;
    dDisabled?: boolean;
    dIndeterminate?: boolean;
    dInputProps?: React.InputHTMLAttributes<HTMLInputElement>;
    dInputRef?: React.Ref<HTMLInputElement>;
    onModelChange?: (checked: boolean) => void;
}
export declare const DCheckbox: {
    (props: DCheckboxProps): JSX.Element | null;
    Group: typeof DCheckboxGroup;
};
