var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { getClassName } from '@react-devui/utils';
import { usePrefixConfig, useComponentConfig, useGeneralContext } from '../../hooks';
import { registerComponentMate } from '../../utils';
import { DBaseDesign } from '../_base-design';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DCompose.Item' });
export function DComposeItem(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { children, dGray = false } = _a, restProps = __rest(_a, ["children", "dGray"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    const { gSize, gDisabled } = useGeneralContext();
    //#endregion
    return (_jsx(DBaseDesign, Object.assign({ dCompose: { disabled: true } }, { children: _jsx("div", Object.assign({}, restProps, { className: getClassName(restProps.className, `${dPrefix}compose-item`, {
                [`${dPrefix}compose-item--${gSize}`]: gSize,
                [`${dPrefix}compose-item--gray`]: dGray,
                'is-disabled': gDisabled,
            }) }, { children: children })) })));
}
//# sourceMappingURL=ComposeItem.js.map