import type { DButtonProps } from '../button';
import React from 'react';
export interface DFooterProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dClassNamePrefix: string;
    dAlign?: 'left' | 'center' | 'right';
    dActions?: React.ReactNode[];
    dCancelProps?: DButtonProps;
    dOkProps?: DButtonProps;
    onCancelClick?: () => void | boolean | Promise<void | boolean>;
    onOkClick?: () => void | boolean | Promise<void | boolean>;
    onClose?: () => void;
}
export declare function DFooter(props: DFooterProps): JSX.Element | null;
