export declare type DTransitionState = 'before-enter' | 'enter' | 'entering' | 'entered' | 'before-leave' | 'leave' | 'leaving' | 'leaved';
export interface DTransitionProps {
    children: (state: DTransitionState) => JSX.Element | null;
    dIn?: boolean;
    dDuring: number | {
        enter: number;
        leave: number;
    };
    dMountBeforeFirstEnter?: boolean;
    dSkipFirstTransition?: boolean | [boolean, boolean];
    onEnterRendered?: () => void;
    afterEnter?: () => void;
    afterLeave?: () => void;
}
export declare function DTransition(props: DTransitionProps): JSX.Element | null;
