var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { useRef } from 'react';
import { getClassName } from '@react-devui/utils';
import { usePrefixConfig, useComponentConfig } from '../../hooks';
import { registerComponentMate, TTANSITION_DURING_BASE } from '../../utils';
import { DTransition } from '../_transition';
import { DNumber } from './Number';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DBadge' });
export function DBadge(props) {
    var _a, _b;
    const _c = useComponentConfig(COMPONENT_NAME, props), { children, dValue, dTheme = 'danger', dColor, dShowZero = false, dMax = Infinity, dDot = false, dOffset = [0, '100%'] } = _c, restProps = __rest(_c, ["children", "dValue", "dTheme", "dColor", "dShowZero", "dMax", "dDot", "dOffset"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    const dataRef = useRef({
        prevValue: dValue,
        dDown: false,
    });
    const show = dShowZero || dValue > 0;
    const value = show ? dValue : (_a = dataRef.current.saveValue) !== null && _a !== void 0 ? _a : 0;
    dataRef.current.saveValue = value;
    const nums = (value > dMax ? dMax : value)
        .toString()
        .split('')
        .map((n) => Number(n));
    if (value !== dataRef.current.prevValue) {
        dataRef.current.dDown = value < dataRef.current.prevValue;
        dataRef.current.prevValue = value;
    }
    return (_jsxs("div", Object.assign({}, restProps, { className: getClassName(restProps.className, `${dPrefix}badge__container`), title: (_b = restProps.title) !== null && _b !== void 0 ? _b : (dDot ? undefined : dValue.toString()) }, { children: [children, _jsx(DTransition, Object.assign({ dIn: show, dDuring: TTANSITION_DURING_BASE }, { children: (state) => {
                    let transitionStyle = {};
                    switch (state) {
                        case 'enter':
                            transitionStyle = { transform: 'scale(0)', opacity: 0 };
                            break;
                        case 'entering':
                            transitionStyle = {
                                transition: ['transform', 'opacity'].map((attr) => `${attr} ${TTANSITION_DURING_BASE}ms ease-out`).join(', '),
                            };
                            break;
                        case 'leaving':
                            transitionStyle = {
                                transform: 'scale(0)',
                                opacity: 0,
                                transition: ['transform', 'opacity'].map((attr) => `${attr} ${TTANSITION_DURING_BASE}ms ease-in`).join(', '),
                            };
                            break;
                        default:
                            break;
                    }
                    return state === 'leaved' ? null : (_jsx("div", Object.assign({ className: getClassName(`${dPrefix}badge`, {
                            [`t-${dTheme}`]: dTheme,
                            [`${dPrefix}badge--dot`]: dDot,
                        }), style: {
                            top: dOffset[0],
                            left: dOffset[1],
                            [`--${dPrefix}badge-color`]: dColor,
                        } }, { children: _jsx("div", Object.assign({ className: `${dPrefix}badge__wrapper`, style: transitionStyle }, { children: dDot ? null : (_jsxs(_Fragment, { children: [nums.map((n, i) => (_jsx(DNumber, { dValue: n, dDown: dataRef.current.dDown }, nums.length - i))), value > dMax ? '+' : ''] })) })) })));
                } }))] })));
}
//# sourceMappingURL=Badge.js.map