export function checkEnableItem(item) {
    return (item.type === 'item' || item.type === 'sub') && !item.disabled;
}
export function getSameLevelItems(arr) {
    const items = [];
    const reduceArr = (arr) => {
        for (const item of arr) {
            if (item.type === 'group' && item.children) {
                reduceArr(item.children);
            }
            else if (checkEnableItem(item)) {
                items.push(item);
            }
        }
    };
    reduceArr(arr);
    return items;
}
//# sourceMappingURL=utils.js.map