var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { checkNodeExist, getClassName } from '@react-devui/utils';
import { usePrefixConfig, useComponentConfig, useTranslation } from '../../hooks';
import { registerComponentMate } from '../../utils';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DEmpty' });
export function DEmpty(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { children, dIcon, dDescription } = _a, restProps = __rest(_a, ["children", "dIcon", "dDescription"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    const [t] = useTranslation();
    return (_jsxs("div", Object.assign({}, restProps, { className: getClassName(restProps.className, `${dPrefix}empty`) }, { children: [checkNodeExist(dIcon) ? dIcon : null, _jsx("div", Object.assign({ className: `${dPrefix}empty__description` }, { children: checkNodeExist(dDescription) ? dDescription : t('No Data') })), children] })));
}
//# sourceMappingURL=Empty.js.map