import React from 'react';
export interface DTableSearchRef {
    updatePosition: () => void;
}
export interface DTableSearchProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    dValue?: string;
    dVisible?: boolean;
    dPopupClassName?: string;
    onValueChange?: (value: string) => void;
    onVisibleChange?: (visible: boolean) => void;
    afterVisibleChange?: (visible: boolean) => void;
}
declare function TableSearch(props: DTableSearchProps, ref: React.ForwardedRef<DTableSearchRef>): JSX.Element | null;
export declare const DTableSearch: (props: DTableSearchProps & React.RefAttributes<DTableSearchRef>) => ReturnType<typeof TableSearch>;
export {};
