import React from 'react';
export interface DTableTdProps extends React.TdHTMLAttributes<HTMLTableCellElement> {
    dText?: boolean;
    dWidth?: number | string;
    dFixed?: {
        top?: number | string;
        right?: number | string;
        bottom?: number | string;
        left?: number | string;
    };
    dAlign?: 'left' | 'right' | 'center';
    dEllipsis?: boolean;
}
export declare function DTableTd(props: DTableTdProps): JSX.Element | null;
